# Maintainer: Rafael from RebornOS
# Install based in work by: zpydr <zpydr at openmailbox dot org>
# Fork of zpydr/gnome-shell-extension-taskbar to support newer versions of GNOME

pkgname=gnome-shell-extension-taskbar-2020
_pkgname=gnome-shell-extension-taskbar
pkgver=7
pkgrel=1
pkgdesc="TaskBar 2020 displays icons of running applications on the top panel or alternatively on a new bottom panel."
arch=('any')
url="https://github.com/c0ldplasma/gnome-shell-extension-taskbar"
license=('GPL3')
depends=('gnome-shell')
source=("https://github.com/c0ldplasma/gnome-shell-extension-taskbar/archive/refs/tags/v${pkgver}.tar.gz")
sha512sums=('852f0622aa01598fdfbe6ad065d042975ae33f38d96755d2e61d048a7622dd508e90a3a229d42f8a8e33076bea86dbf866bda6a629f3a038486514436738c632')
prepare() {
  tar -xvf v${pkgver}.tar.gz
}
package() {
  cd ${_pkgname}-${pkgver}
  mkdir -p "${pkgdir}/usr/share/gnome-shell/extensions/TaskBar@c0ldplasma/"
  cp -a images locale schemas scripts extension.js lib.js LICENSE metadata.json  prefs.js  README.md stylesheet.css  TaskBar.pot  windows.js "${pkgdir}/usr/share/gnome-shell/extensions/TaskBar@c0ldplasma/"
}
